Page MenuHomePhabricator

payments frontend sending duplicate malformed queue messages for EC recurring
Closed, ResolvedPublic2 Story Points

Description

One message with 'recurring' = 1 and no subscr_id, then another missing a gateway_txn_id

Event Timeline

Ejegg created this task.Apr 18 2017, 11:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 18 2017, 11:02 PM

Change 348874 had a related patch set uploaded (by Ejegg):
[mediawiki/extensions/DonationInterface@master] Paypal EC recurring: queue one correctly formed message

https://gerrit.wikimedia.org/r/348874

Change 348874 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Paypal EC recurring: queue one correctly formed message

https://gerrit.wikimedia.org/r/348874

Ejegg closed this task as Resolved.Apr 26 2017, 10:35 PM
Ejegg triaged this task as High priority.Sep 12 2017, 5:08 PM
Ejegg set the point value for this task to 2.